Subject: Re: [bug#60673] [PATCH 01/39] gnu: Add ocaml-domain-name.

From: Csepp <[email-masked]>
Date: Fri, 17 Feb 2023 02:03:46 +0100

Christopher Baines <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
>
> Csepp <[email-masked]> writes:
>
>> Christopher Baines <[email-masked]> writes:
>>
>>> [[PGP Signed Part:Undecided]]
>>> Hey,
>>>
>>> While I think the builds look OK for this series, there are quite a few
>>> formatting issues raised by the linter (this can be seen on [1] and [2]).
>>>
>>> 1: https://qa.guix.gnu.org/issue/60674
>>> 2:
>>> https://data.qa.guix.gnu.org/compare?base_commit=238f965c331990459a69cbc713ca951ad40e6044&target_commit=3b5485b9cdaebda127dc040ad67a287f39e33519
>>>
>>> Could you run the linter on the packages you've added here, address the
>>> issues it raises and send an updated series?
>>>
>>> Thanks,
>>>
>>> Chris
>>>
>>> [[End of PGP Signed Part]]
>>
>> Those are all URL constants, can't really do much about them other than slice
>> them up with string-append, which I'm not sure really helps with
>> readability or ease of editing.  They were not an issue while I was
>> editing the code and gnu/packages/ocaml.scm already has a lot of lines
>> that whitespace-mode highlights as too long, so I thought it wouldn't
>> matter much and my time would be better spent elsewhere.
>
> You're right that there are quite a few other instances of lines that
> are too long in that module, but I don't think that's a reason not to
> add more. I think splitting the long URL strings with string-append is a
> good approach and can help with readability.
>
> [[End of PGP Signed Part]]

Alright, got around to sending the updated patch series.  Hopefully I
got the send-email arguments right.